DirectShowCapture: Problems setting higher resolution
Status: Closed

Priority: Normal

Category:

Customer: AUDI Product Issue https://www.cip.audi.de/jira/browse/ADE
Numbers: VTB-1648

Department: EF Affected Products: ADTF Device Toolbox 2.7.0, ADTF

Device Toolbox 3.0.0

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 3rd Level Topic: DeviceTB::Common

Resolution: Product Issue Opened FAQ Links:

Description

Supportanfrage

In ADTF2 (DeviceToolbox 2.7.0) wie auch in ADTF3 (DeviceToolbox 3.0.0) hatte ich das Problem, dass ich im Device keine héhere

Auflésung konfigurieren konnte.
Es fehlte ein

pStreamConfig->SetFormat (pMediaType) ;

nachdem die neuen Werte (lbernommen wurden (vor DeleteMediaType(pMediaType);)

Auch schlug dieser Befehl fehl, solange ich
//pMediaType->subtype = m_RequestedSubtype;
nicht auskommentiert hatte.

Getestet mit einer Logitech C922 PRO.

StandardmaBig liefert die Kamera 640x480. Ziel war 1920x1080.

Lésung

ADEVTB-1648 erstellt

History

#1 - 2019-07-31 10:45 - hidden

- Project changed from Public Support to 11

- Status changed from New to Customer Feedback Required
- Topic set to DeviceTB::Common

- Customer set to AUDI

- Department set to EF

- Affected Products ADTF Device Toolbox 2.7.0, ADTF Device Toolbox 3.0.0 added

- Platform Windows 7 64bit added

Hi Jens,

mochtest du uns Code zuriickspielen ?
Was ist ist deine Erwartungshaltung ?

Mir fehlt hier irgendwie die Frage bzw. ich stehe auf dem Schlauch... :-)
#2 - 2019-07-31 13:36 - hidden
Hallo Flo,

das ist eher als Bugreport zu verstehen.

Da es sich um ein Example handelt, bleibt es Euch tberlassen, ob ihr hier nachbessern wollt.

Was ich gemacht habe ist eher ein Hack. Vielleicht funktioniert der Filter in anderen Szenarien nicht wie erwartet, wenn man den Quellcode 1:1
Ubernehmen wrde.

Wenn Du eine Frage willst:
Kénnt ihr nachvollziehen, dass die Kamera (die FullHD untersttzt) nur 640x480 liefert, auch wenn ich in den Properties hohere Auflésungen
eingestellt habe? Ggf. wird nur hochskaliert, das Bild bleibt aber pixelig.

MfG Jens

#3 - 2019-08-01 10:31 - hidden
- Subject changed from DirectShowCapture to DirectShowCapture: Problems setting higher resolution
- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ADEVTB-1648
Hi Jens,

kannst du uns noch deine relevanten Code Anderungen zukommen lassen ?

Ich habe zum Problem an sich ein Ticket angelegt -> ADEVTB-1648.
Darin kann das dann bewertet werden.

Ich habe auch das Gefiihl, dass es nur skaliert, hatte das aber immer auf Direct Show und/oder Treiber bei mir geschoben, da es z.B. im VLC o.4.
auch nicht so viel besser aussieht...
Nur mit speziellen Kamera Tooling.

#4 - 2019-08-01 11:14 - hidden
- File DSInput.cpp added
- File DSInput.cpp added

Hier meine gepatchten Dateien fir ADTF2 und ADTF3.

Wie gesagt, in meinem Fall kam damit das gewlinschte Ergebnis. Das einfache Auskommentieren der Zuweisung des subtype scheint mir aber noch
keine generische Lésung zu sein.

//pMediaType->subtype = m_RequestedSubtype;
pStreamConfig->SetFormat (pMediaType) ;

#5 - 2019-08-01 11:38 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Support Level changed from 2nd Level to 3rd Level
Werden wir uns fir 3.x anschauen

#6 - 2019-08-01 11:38 - hidden
- Project changed from 11 to Public Support

- Private changed from Yes to No

#7 - 2020-07-07 12:45 - hidden
- Status changed from To Be Closed to Closed

Files
DSlInput.cpp 35.9 KB 2019-08-01 hidden
DSlInput.cpp 36.3 KB 2019-08-01 hidden
